Debian Bug report logs - #689612
cpio: autoconf update for arm64 building

version graph

Package: cpio; Maintainer for cpio is Anibal Monsalve Salazar <anibal@debian.org>; Source for cpio is src:cpio.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 14:45:01 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 2.11

Fixed in version cpio/2.11+dfsg-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gray@gnu.org.ua, Ruben Molina <rmolina@udea.edu.co>:
Bug#689612; Package cpio. (Thu, 04 Oct 2012 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to gray@gnu.org.ua, Ruben Molina <rmolina@udea.edu.co>. (Thu, 04 Oct 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cpio: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 15:42:50 +0100
[Message part 1 (text/plain, inline)]
Package: cpio
Version: 2.11
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream (I hope I have CC:ed the right
person in this report)

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cpio depends on:
ii  dpkg                      1.15.8.13      Debian package management system
ii  install-info              4.13a.dfsg.1-6 Manage installed documentation in 
ii  libc6                     2.11.3-4       Embedded GNU C Library: Shared lib

cpio recommends no packages.

cpio suggests no packages.

-- no debconf information
[cpio-2.11-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Sat, 01 Jun 2013 03:21:11 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 01 Jun 2013 03:21:11 GMT) Full text and rfc822 format available.

Message #10 received at 689612-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 689612-close@bugs.debian.org
Subject: Bug#689612: fixed in cpio 2.11+dfsg-1
Date: Sat, 01 Jun 2013 03:18:00 +0000
Source: cpio
Source-Version: 2.11+dfsg-1

We believe that the bug you reported is fixed in the latest version of
cpio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689612@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated cpio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 01 Jun 2013 08:54:41 +1000
Source: cpio
Binary: cpio cpio-win32
Architecture: source all amd64
Version: 2.11+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Ruben Molina <rmolina@udea.edu.co>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 cpio       - GNU cpio -- a program to manage archives of files
 cpio-win32 - GNU cpio -- a program to manage archives of files (win32 build)
Closes: 689612 695717
Changes: 
 cpio (2.11+dfsg-1) unstable; urgency=low
 .
   * Standards Version is 3.9.4
   * Remove reference to texinfo documntation in cpio man page
     Update debian/patches/695717-no-cpio.info.patch
     Closes: #695717
   * Build depends on autotools-dev
     Autoconf update for arm64 building
     Drop debian/patches/autoconfupdate.patch
     Closes: #689612
   * Update debian/watch
Checksums-Sha1: 
 c2295d6284d9339cbbe3ab8827661c5135701c37 1964 cpio_2.11+dfsg-1.dsc
 77451a22d766b47a595a9f2423e2761f75611db7 13739 cpio_2.11+dfsg-1.debian.tar.bz2
 475986a0d421b67f5812ce3ae860a136ac0c862c 74220 cpio-win32_2.11+dfsg-1_all.deb
 dfbf354e59bc0ed8158cdb1e80e1b18a75b0cb33 263240 cpio_2.11+dfsg-1_amd64.deb
Checksums-Sha256: 
 1072ef69b636cdc458ba84c37853a96ca12016d161784d8ff546ae4452b0933b 1964 cpio_2.11+dfsg-1.dsc
 b0b7ea0d37e0ae659cbc25cc55f45247c3671169f4fcf709dc6b7525f163d3e3 13739 cpio_2.11+dfsg-1.debian.tar.bz2
 60f9ba6adab4fb4dd21d08b50681a92f37e085aa7355a8b809acf6d8c82e02d4 74220 cpio-win32_2.11+dfsg-1_all.deb
 c167f6ec29c3177eb293f75123b6dde87ce05d37067d55d14f9ffc3517671061 263240 cpio_2.11+dfsg-1_amd64.deb
Files: 
 2ba99dc7caa4e7e76d63ec8ca40ae386 1964 utils important cpio_2.11+dfsg-1.dsc
 4c2d9aa3d75ec213ad35654470f2feb4 13739 utils important cpio_2.11+dfsg-1.debian.tar.bz2
 cc7d7aed521af1dedf7aa1de638515d7 74220 utils extra cpio-win32_2.11+dfsg-1_all.deb
 c3f2a487bfe983ae69195b5725eda2d5 263240 utils important cpio_2.11+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRqVpCAAoJEHxWrP6UeJfYG8oP/3O2Foz6ZseghKPMId1NtLc5
I/0nEEQ3LBy9t1lpJQUEuCjWhet0fF7BWVzoLteHzmSk/BqYr2dauG2ZXtBnJiV9
w0yo84OEti0EMm01ocoAzgULQ4vbUJxCDbSXdE9XHb1dpPIjyzK9YFvHJZvY6jtp
1DipK9gu5a4lWSOhyqNODHCnHsF1y+xb2JHBR6PoFQCqwVBR4CCEvMIMQa74Ij8C
DZVhJ48Rn7Vj8qb9+JrYvHzwVMEiOghx8dEt/etkGadlQSm44sd0S0y+TUR5kAsU
QiigUGk8bWburPs7czuIGsUf2ULk3C4zPbmsJvyImK8pqF080NJ1eJt5V83y2FTj
MOnqNq0qHFS/2Dv32TUPJGcE8yP3x73lMPgi+/03RqgsXwkgh82rbdDtCtjrd6X2
XufiUg0LK3QXtTGBTwumco2R39Az4dCC4pGmfsXNZbwkUTrXhm5vQoHwJRPzT/KB
zEeW5ALPRB5SayG0Ws1EKPasu347Xz7Y0ETmQ0pVb1ZcKA0EPan8sjsEGNpYPj4h
JYV3VRTPJjP8YCUH7iaZqbB8uDdKYLCmXFL4qN8qJIVdUyo+tvNIMyAyvITyn6Ey
GKDStgKw3iqyGR4Xvfm/paVzdZYuoZNJdNdcaiYsKqeXMHdss7JOKAR/NYoBzJpc
s3wzQPy1W0gTDdQt+3PU
=7b9R
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:48:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.